# List all book transfers

**GET** `/transfers/book`

Retrieve all book transfers under your developer account. Filtered results can be retrieved with extra parameters in the query (`sender_bank_account_id`, `receiver_bank_account_id`, etc.).

### Query Parameters

- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `receiver_bank_account_id` `string` — Filter book transfers by receiver bank account ID.
- `sender_bank_account_id` `string` — Filter book transfers by sender bank account ID.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.
- `status` `string` — Filter book transfers by status.

**Request**

```shell
curl 'https://api.column.com/transfers/book' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "transfers": [
    {
      "id": "",
      "created_at": "2021-11-29T20:22:11.956Z",
      "updated_at": "2021-11-29T20:22:11.956Z",
      "idempotency_key": "",
      "sender_bank_account_id": "",
      "sender_account_number_id": "",
      "receiver_bank_account_id": "",
      "receiver_account_number_id": "",
      "amount": 0,
      "currency_code": "",
      "description": "",
      "status": "NONE",
      "allow_overdraft": true
    }
  ],
  "has_more": true
}
```
